#
# spec file for package armagetron (Version 0.1.4.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel SDL_image SDL_image-devel SDL_mixer alsa audiofile esound gpp kdelibs-artsd libgpp libjpeg libpng mesa mesa-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    SDL SDL-devel SDL_image SDL_image-devel SDL_mixer aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libjpeg libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         armagetron
Summary:      An OpenGL game similar to the film 'Tron'
Version:      0.1.4.9
Release:      111
License:	GPL
Group:		Amusements/Games  
Source:		%{name}-%{version}.tar.bz2
Source1:	armagetron_add.tar.bz2
Patch1:		armagetron_src.dif
Patch2:		%{name}-%{version}.dif
URL:		http://armagetron.sourceforge.net
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
In this game you race against other players on a permanently moving
lightcycle (virtual motorbike), which leaves a wall as a trace.
The lightcycles can make turns of 90 degrees and accelerate when driven
close to walls. The game is over when you hit a wall. The goal of the game
is to try making your enemies hit the walls, while you avoid doing the
same. Unlike gltron, this program does not require 3D HW Support.

SuSE series: fun

%prep
%setup -q -a 1
find src -name '*.[oa]' | xargs --no-run-if-empty rm
%patch1 -p0
%patch2

%build
export CXXFLAGS="%{optflags} -fomit-frame-pointer"
%ifarch %{ix86}
export CXXFLAGS="$CXXFLAGS -mcpu=pentiumpro"
%endif
%configure
make
mv src/tron/armagetron armagetron.bin
find src -name '*.[oa]' | xargs rm
./configure --disable-glout
make
mv src/tron/armagetron armagetron-server

%install
%define _bindir				%{_prefix}/games/bin
%define datadir				%{_datadir}/games/%{name}
%define applnkdir			/opt/kde2/share/applnk/Games
%define mandir				%{_mandir}/man6
rm -rf					%{buildroot}
for dir in				%{_bindir} %{datadir} %{applnkdir} %{mandir}
do
	mkdir -p			%{buildroot}$dir
done
install armagetron.bin			%{buildroot}%{_bindir}/armagetron
install armagetron-server		%{buildroot}%{_bindir}
install armagetron_add/*.desktop	%{buildroot}%{applnkdir}
install armagetron_add/*.cfg		%{buildroot}%{datadir}
install armagetron_add/*.ArmageTronrc	%{buildroot}%{datadir}
install armagetron_add/*.6		%{buildroot}%{mandir}
strip					%{buildroot}%{_bindir}/*
cp -av textures arenas models sound	%{buildroot}%{datadir}

%files
%doc README doc/*.html armagetron_add/README.SuSE
%{_bindir}/*
%{datadir}
%attr(644,root,root) %{applnkdir}/*
%{mandir}/*

%clean
rm -rf %{buildroot}

%changelog -n armagetron
* Mon Sep 03 2001 - schwab@suse.de
- Fix to compile on ia64.
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Thu Jul 19 2001 - bk@suse.de
- update to 0.1.4.9 which includes some fixes and merges patches
* Wed Jul 04 2001 - ro@suse.de
- added kdelibs for artsd
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Thu Mar 08 2001 - uli@suse.de
- added xf86, mesaglu* to neededforbuild
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Tue Mar 06 2001 - bk@suse.de
- fix installation paths to for FHS compliance, use marcos and wildcards
- improved default.cfg(now 3 AI players and better screenmode, cool!)
- added patch to make manual chdir to datadir obsolete
- added dedicated armagetron-server program
- added man pages for armagetron and armagetron-server
- added README.SuSE
- added config examples (hardware.ArmageTronrc, software.ArmageTronrc)
- packaed all additional source files into armagetron_add.tar.bz2
- removed unneccesary glib and glib-devel from neededforbuild
* Tue Mar 06 2001 - bk@suse.de
- initial version
